import request from '@/utils/request'

// 查询加计扣除相关政策列表
export function listPolicy(query) {
  return request({
    url: '/buyer/policy/list',
    method: 'get',
    params: query
  })
}

// 查询加计扣除相关政策详细
export function getPolicy(id) {
  return request({
    url: '/buyer/policy/' + id,
    method: 'get'
  })
}

// 新增加计扣除相关政策
export function addPolicy(data) {
  return request({
    url: '/buyer/policy',
    method: 'post',
    data: data
  })
}

// 修改加计扣除相关政策
export function updatePolicy(data) {
  return request({
    url: '/buyer/policy',
    method: 'put',
    data: data
  })
}

// 删除加计扣除相关政策
export function delPolicy(id) {
  return request({
    url: '/buyer/policy/' + id,
    method: 'delete'
  })
}
